Create a company

Creates a new company.

Creating a company with only the required request body parameters

When you call this endpoint and omit all the optional parameters in the request body,
the following resources get created upon a successful response:

  • A new company with status pending.
  • A company owner for the new company with status initiated.

See the update a company endpoint for
more details on how to get your company and its owner to active status.

If you'd like to create a company and its owner with active status in a single request,
please provide the optional address_details parameter as well.

Accepting the Terms of Service

A required step for creating a company in Remote is to accept our Terms of Service (ToS).

Company managers need to be aware of our Terms of Service and Privacy Policy,
hence it's the responsibility of our partners to advise and ensure company managers read
and accept the ToS
. The terms have to be accepted only once, before creating a company,
and the Remote API will collect the acceptance timestamp as its confirmation.

To ensure users read the most recent version of Remote's Terms of Service, their acceptance
must be done within the last fifteen minutes prior the company creation action
.

To retrieve this information, partners can provide an element with any text and a description
explaining that by performing that action they are accepting Remote's Term of Service. For
instance, the partner can add a checkbox or a "Create Remote Account" button followed by a
description saying "By creating an account, you agree to
Remote's Terms of Service. Also see Remote's
Privacy Policy".

Scopes

CategoryRead only ScopeWrite only Scope (read access implicit)
Manage companies (company_management)-Manage companies (company:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
≥ 1

Version of the address_details form schema


Specific version number

≥ 1

Version of the bank_account_details form schema


Specific version number

string

Complementary action(s) to perform when creating a company:

  • get_oauth_access_tokens returns the user's access and refresh tokens
  • send_create_password_email sends a reset password token to the company owner's email so they can log in using Remote UI (not needed if integration plans to use SSO only)

If action contains send_create_password_email you can redirect the user to https://employ.remote.com/api-integration-new-password-send

boolean

Whether the request should be performed async

string

Scope of the access token

Body Params

Create Company params

address_details
object

Fields can vary depending on the country. Please, check the required fields structure using the Show form schema endpoint.
Use the desired country and address_details as the form name for the placeholders.
The response complies with the JSON Schema specification.

bank_account_details
object

Fields can vary depending on the country. Please, check the required fields structure using the Show form schema endpoint.
Use the desired country and bank_account_details as the form name for the placeholders.
The response complies with the JSON Schema specification.

string
required

The company owner email.

This value cannot be changed once set.

string
required

The company owner name.

This value cannot be changed from the Remote API once set.

string
required

3-letter country code of the country the company address is located in.

For a list of countries supported through the Remote API, make a call to the list countries endpoint. This endpoint will also include the 3-letter country codes you can use for this field.

string
enum
required

Desired currency for invoicing and displaying converted salaries in Remote UI regardless of the employee's country.

string

The domain of the company. Use this field to specify the company domain name when it's different from the domain in the company owner's email.

string

Id of the company as represented in the external partner system.

string
required

The company name

string

A phone number the company can be contacted with.

string

The company registration number. This field or tax_number (but not both) should be submitted.

string

The tax identifier of the company. This field or registration_number (but not both) should be submitted.

date-time
required

Date and time the Terms of Service were accepted. To ensure users read the most recent version of Remote's Terms of Service, their action cannot have been done more than fifteen minutes ago. The UTC offset must be included in the ISO 8601 format: YYYY-MM-DD HOURS:MINUTES:SECONDSZ

Responses

Callback
Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json